using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CharacterUnequipItemAction : IAction
    {
        CharacterController character; // Reference to the character that will move

        // Constructor
        public CharacterUnequipItemAction(CharacterController character)
        {

            this.character = character;
        }

        public void Start()
        {
            if(character.HasEquipedItem())
            {
                GameObject.Destroy(character.GetEquipedGameObject());
                character.SetEquipedItem(null);
                character.SetEquipedGameObject(null);
                character.animator.SetInteger("Mode", 0);
            }
        }

        public void Update() { }

        public void End() { }

        public bool IsDone()
        {
            return true;
        }
    }
}