﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NodeCanvas.Framework;
using ParadoxNotion.Design;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    [Category("KairoEngine")]
    public class CharacterCancelActionsTaskAction : ActionTask
    {
        [BlackboardOnly, RequiredField] public BBParameter<CharacterController> character;

        protected override string info 
        {
            get { return "Cancel Actions"; }
        }
        
        protected override void OnExecute()
        {
            if(character.value == false) EndAction(false);
            ICommand cancelActionsCommand = new CancelAtionsCommand(character.value);
            CommandInvoker.AddCommand(cancelActionsCommand);
            EndAction(true);
        }
    }
}


