﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NodeCanvas.Framework;
using ParadoxNotion.Design;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    [Category("KairoEngine")]
    public class CharacterUnequipWeaponTaskAction : ActionTask
    {
        [BlackboardOnly, RequiredField] public BBParameter<CharacterController> character;

        protected override string info 
        {
            get { return "Unequip Weapon"; }
        }

        protected override void OnExecute()
        {
            UnequipItemCommand unequipItemCommand = new UnequipItemCommand(character.value);
            CommandInvoker.AddCommand(unequipItemCommand);
            EndAction(true);
        }
    }
}


