﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.CharacterSystem
{
    public struct DamageData
    {
        public DamageController damageController;
        public DamagePoint damagePoint;
        public int damage;
        public GameObject attackSourceObject;
        public CharacterController attackSourceCharacter;
        public Bullet bullet;
        public DamageEmitter damageEmitter;
        public Vector3 hitPosition;
        public Vector3 sourcePosition;
        public bool wasKilled;

        public DamageData(DamageController controller, DamagePoint point, int damage, GameObject attackSourceObj, CharacterController attackSourcecharacter, 
            Bullet bullet, DamageEmitter damageEmitter, Vector3 hitPosition, Vector3 sourcePosition, bool wasKilled = false)
        {
            this.damageController = controller;
            this.damagePoint = point;
            this.damage = damage;
            this.attackSourceObject = attackSourceObj;
            this.attackSourceCharacter = attackSourcecharacter;
            this.bullet = bullet;
            this.damageEmitter = damageEmitter;
            this.hitPosition = hitPosition;
            this.sourcePosition = sourcePosition;
            this.wasKilled = wasKilled;
        }
        
    }
}

