﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CancelAtionsCommand : ICommand
    {
        CharacterController character;

        public CancelAtionsCommand(CharacterController character)
        {
            this.character = character;
        }

        public void Execute()
        {
            if(character == null) return;
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController != null) actionController.CancelActions();
        }
    }
}