﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CharacterAimCommand : ICommand
    {
        CharacterController character;
        Transform target;

        public CharacterAimCommand(CharacterController character, Transform target)
        {
            this.character = character;
            this.target = target;
        }

        public void Execute()
        {
            CharacterAimAction action = new CharacterAimAction(character, target);
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController.HasAction(action) == false)
            {
                actionController.AddAction(action);
            } 
        }
    }
}
