﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CharacterRelaxIdleCommand : ICommand
    {
        CharacterController character;

        public CharacterRelaxIdleCommand(CharacterController character)
        {
            this.character = character;
        }

        public void Execute()
        {
            CharacterRelaxIdleAction action = new CharacterRelaxIdleAction(character);
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController.HasAction(action) == false)
            {
                actionController.AddAction(action);
            } 
        }
    }
}
