﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class CharacterStopMoveCommand : ICommand
    {
        CharacterController character;

        public CharacterStopMoveCommand(CharacterController character)
        {
            this.character = character;
        }

        public void Execute()
        {
            if(character == null) return;
            ActionController actionController = character.GetComponent<ActionController>();
            actionController.CancelAction(typeof(CharacterMoveToPositionAction).ToString());

        }
    }
}