using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class ShootCommand : ICommand
    {
        CharacterController character;

        public ShootCommand(CharacterController character)
        {
            this.character = character;
        }

        public void Execute()
        {
            CharacterShootAction action = new CharacterShootAction(character);
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController.HasAction(action) == false)
            {
                actionController.AddAction(action);
            }
        }
    }
}