using KairoEngine.Core;
using KairoEngine.Inventory;

namespace KairoEngine.CharacterSystem
{
    public class UnequipItemCommand : ICommand
    {
        CharacterController character;

        public UnequipItemCommand(CharacterController character)
        {
            this.character = character;
        }

        public void Execute()
        {
            CharacterUnequipItemAction action = new CharacterUnequipItemAction(character);
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController.HasAction(action) == false)
            {
                actionController.AddAction(action);
            }
        }
    }
}