﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Core;

namespace KairoEngine.CharacterSystem
{
    public class ZombieIdleCommand : ICommand
    {
        CharacterController character;
        int varient;

        public ZombieIdleCommand(CharacterController character, int varient)
        {
            this.character = character;
            this.varient = varient;
        }

        public void Execute()
        {
            ZombieIdleAction action = new ZombieIdleAction(character, varient);
            ActionController actionController = character.GetComponent<ActionController>();
            if(actionController.HasAction(action) == false)
            {
                actionController.AddAction(action);
            } 
        }
    }
}