﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using KairoEngine.Inventory;

namespace KairoEngine.CharacterSystem
{
    [System.Serializable]
    public class DataCharacter
    {
        public string uniqueName;
        public string prefabName;
        public Vector3 position;
        public Quaternion rotation;
        public int hitpoints;
        public int maxHitpoints;
        public bool isDead = false;
        public ItemFirearmRef equipedItemRef;
        public List<ItemRef> itemList = new List<ItemRef>();

        public string objBodyName;
        public string objHairName;
        public string objBeardName;
        public int bodyMaterial;

        public List<DataBone> bones = new List<DataBone>();

        public DataCharacter(string uniqueName, string prefabName, Vector3 position, Quaternion rotation, int hitpoints, int maxHitpoints, bool isDead, ItemFirearmRef equipedItemRef, List<ItemRef> itemList)
        {
            this.uniqueName = uniqueName;
            this.prefabName = prefabName;
            this.position = position;
            this.rotation = rotation;
            this.hitpoints = hitpoints;
            this.maxHitpoints = maxHitpoints;
            this.isDead = isDead;
            this.equipedItemRef = equipedItemRef;
            this.itemList = itemList;
        }

        public void SetCharacterVisuals(string objBodyName, string objHairName, string objBeardName, int bodyMaterial)
        {
            this.objBodyName = objBodyName;
            this.objHairName = objHairName;
            this.objBeardName = objBeardName;
            this.bodyMaterial = bodyMaterial;
        }
    }
}

